Get Wallet Deposit Instructions
curl --request GET \
--url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/deposit_instructionsimport requests
url = "https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/deposit_instructions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/deposit_instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"crypto_instructions": {
"id": "e84255eb-2e21-439e-a1d0-f5dd1e1292b9",
"name": "Wallet 1",
"address": "ca13fdc4-e459-4fd9-868e-82291343b213",
"account_identifier": "387879289",
"account_identifier_name": "memo",
"network": {
"id": "<string>",
"type": "<string>"
}
},
"fiat_instructions": {
"id": "<string>",
"name": "<string>",
"account_number": "<string>",
"routing_number": "<string>",
"reference_code": "<string>"
}
}Wallets
Get Wallet Deposit Instructions
Retrieve a specific wallet’s deposit instructions.
GET
/
v1
/
portfolios
/
{portfolio_id}
/
wallets
/
{wallet_id}
/
deposit_instructions
Get Wallet Deposit Instructions
Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
For more information, please visit the Prime Java SDK.For more information, please visit the Prime .NET SDK.For more information, please visit the Prime Go SDK.For more information, please visit the Prime Python SDK.For more information, please visit the Prime CLI.For more information, please visit the Prime TS SDK.
- Java
- .NET
- Go
- Python
- CLI
- TS/JS
WalletsService walletsService = PrimeServiceFactory.createWalletsService(client);
GetWalletDepositInstructionsRequest request = new GetWalletDepositInstructionsRequest.Builder()
.portfolioId("PORTFOLIO_ID_HERE")
.walletId("WALLET_ID_HERE")
.depositType(DepositType.CRYPTO)
.build();
GetWalletDepositInstructionsResponse response = walletsService.getWalletDepositInstructions(request);
var walletsService = new WalletsService(client);
var request = new GetWalletDepositInstructionsRequest("PORTFOLIO_ID_HERE", "WALLET_ID_HERE")
{
DepositType = DepositType.CRYPTO,
};
var response = walletsService.GetWalletDepositInstructions(request);
walletsService := users.NewWalletsService(client)
request := &users.GetWalletDepositInstructionsRequest{
PortfolioId: "PORTFOLIO_ID_HERE",
Id: "WALLET_ID_HERE",
DepositType: "CRYPTO",
}
response, err := walletsService.GetWalletDepositInstructions(context.Background(), request)
prime_client = PrimeClient(credentials)
request = GetWalletDepositInstructionsDepositInstructionsRequest(
portfolio_id="PORTFOLIO_ID_HERE",
wallet_id="WALLET_ID_HERE",
deposit_type="CRYPTO",
)
response = prime_client.get_wallet_deposit_instructions(request)
primectl get-wallet-deposit-instructions --help
const walletsService = new WalletsService(client);
walletsService.getWalletDepositInstructions({
portfolioId: 'PORTFOLIO_ID_HERE',
walletId: 'WALLET_ID_HERE',
}).then(async (response) => {
console.log('Deposit Instructions: ', response);
})
Query Parameters
The deposit type
- UNKNOWN_WALLET_DEPOSIT_TYPE: nil value
- CRYPTO: A cryptocurrency deposit
- WIRE: A wire deposit
- SEN: DEPRECATED. A Silvergate Exchange Network deposit
- SWIFT: A SWIFT deposit
- SEPA: A SEPA deposit (Single Euro Payments Area)
Available options:
CRYPTO, WIRE, SEN, SWIFT, SEPA The name of the network
The network id: base, bitcoin, ethereum, solana etc
The network type
The network type: mainnet, testnet, etc
Was this page helpful?
⌘I